Bug 1278686 - new version available, fixes shell-blocking bug
new version available, fixes shell-blocking bug
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell-extension-openweather (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Lody
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 02:26 EST by Dimitris
Modified: 2015-12-22 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version: gnome-shell-extension-openweather-1-0.10.20151108git6368d32.fc21 gnome-shell-extension-openweather-1-0.14.20151212gita80c8a3.fc22 gnome-shell-extension-openweather-1-0.14.20151212gita80c8a3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 02:23:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris 2015-11-06 02:26:36 EST
Description of problem:

The current version of the extension can block the shell:
https://github.com/jenslody/gnome-shell-extension-openweather/issues/82

Version-Release number of selected component (if applicable):

1-0.7.20151017git34aa242.fc23

How reproducible:

Consistently, see bug description from github

Steps to Reproduce:
1. Degrade or remove upstream network connectivity
2. Shell frequently becomes non-responsive for short periods (tens of seconds)

Actual results:


Expected results:


Additional info:
Comment 1 Jens Lody 2015-11-07 05:19:22 EST
I'm aware of this.
As this bug only shows up in special situations I wanted to avoid too many updates in short periods.

I wanted to fix another problem with a new package version:
I contacted openweathermap-support to get a FOSS api-key (see [1] )
They answered, that this should happen in a few days, but this is more than two weeks ago  now.
I wanted to wait for an answer until this weekend, before uploading a new version with the fix for this bug (my fix on github is now five days old) and I have not been at home the last week (working approximately 12 hours each day).

I still not get an answer of owm-support, so I mailed them again.

In the meantime, I will update my package and hope I get an answer from owm soon.

Jens

[1]https://github.com/jenslody/gnome-shell-extension-openweather/issues/84
Comment 2 Fedora Update System 2015-11-07 06:40:09 EST
gnome-shell-extension-openweather-1-0.8.20151107gitae12283.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-12b2e9c551
Comment 3 Fedora Update System 2015-11-07 06:40:42 EST
gnome-shell-extension-openweather-1-0.8.20151107gitae12283.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe14ccb820
Comment 4 Fedora Update System 2015-11-07 06:41:29 EST
gnome-shell-extension-openweather-1-0.8.20151107gitae12283.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ed9ac70838
Comment 5 Fedora Update System 2015-11-08 06:22:26 EST
gnome-shell-extension-openweather-1-0.8.20151107gitae12283.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-openweather'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ed9ac70838
Comment 6 Fedora Update System 2015-11-08 06:59:29 EST
gnome-shell-extension-openweather-1-0.9.20151108gite4dbfee.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e01c272a9b
Comment 7 Fedora Update System 2015-11-08 07:20:52 EST
gnome-shell-extension-openweather-1-0.10.20151108git6368d32.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-951169dc7a
Comment 8 Fedora Update System 2015-11-08 07:26:35 EST
gnome-shell-extension-openweather-1-0.8.20151107gitae12283.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-openweather'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe14ccb820
Comment 9 Fedora Update System 2015-11-08 08:23:49 EST
gnome-shell-extension-openweather-1-0.8.20151107gitae12283.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-openweather'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-12b2e9c551
Comment 10 Fedora Update System 2015-11-08 21:20:34 EST
gnome-shell-extension-openweather-1-0.10.20151108git6368d32.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-openweather'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-951169dc7a
Comment 11 Fedora Update System 2015-11-20 18:24:05 EST
gnome-shell-extension-openweather-1-0.10.20151108git6368d32.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-12 13:21:13 EST
gnome-shell-extension-openweather-1-0.14.20151212gita80c8a3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a2d4d7495a
Comment 13 Fedora Update System 2015-12-13 00:53:58 EST
gnome-shell-extension-openweather-1-0.14.20151212gita80c8a3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-openweather'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a2d4d7495a
Comment 14 Fedora Update System 2015-12-13 12:21:48 EST
gnome-shell-extension-openweather-1-0.14.20151212gita80c8a3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-openweather'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dceaf0c812
Comment 15 Fedora Update System 2015-12-22 02:23:01 EST
gnome-shell-extension-openweather-1-0.14.20151212gita80c8a3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-12-22 17:04:59 EST
gnome-shell-extension-openweather-1-0.14.20151212gita80c8a3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.